Subject: Re: Bootstrapping Zig with no Binary Blobs

From: Hilton Chain <[email-masked]>
Date: Thu, 21 Nov 2024 21:06:43 +0800

On Tue, 19 Nov 2024 21:13:50 +0800,
Hilton Chain wrote:
>
> I'll take a look at Zig package manager support.

Added support for Zig package manager (build.zig.zon) and switched default Zig
to zig-0.13, please see the two DRAFT commits.  I have also updated and added
some packages as examples.

Since Zig has command line option changes in 0.11 (those are affecting us:
"-Drelease-safe" -> "-Doptimeze=ReleaseSafe", new "-j"), I added a zig-arguments
procedure which returns an alist mapping command line options.

Motiejus raised concern about Zig's bundled abilist file[1][2], which is
generated from sources of various glibc versions.  How should we treat it?

[1]: https://github.com/ziglang/zig/tree/master/lib/libc/glibc
[2]: https://github.com/ziglang/glibc-abi-tool